Debian Bug report logs - #600747
audacity: Can't open download page for free lame MP3 codec

version graph

Package: audacity; Maintainer for audacity is Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>; Source for audacity is src:audacity.

Reported by: Romanoff Alexei <ar@vba.com.by>

Date: Tue, 19 Oct 2010 17:39:12 UTC

Severity: wishlist

Found in version audacity/1.3.5-2+lenny1

Fixed in version audacity/1.3.13-5

Done: Benjamin Drung <bdrung@debian.org>

Bug is archived. No further changes may be made.

Forwarded to http://bugzilla.audacityteam.org/show_bug.cgi?id=233

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>:
Bug#600747; Package audacity. (Tue, 19 Oct 2010 17:39:15 GMT) Full text and rfc822 format available.

Acknowledgement sent to Romanoff Alexei <ar@vba.com.by>:
New Bug report received and forwarded. Copy sent to Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>. (Tue, 19 Oct 2010 17:39:15 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Romanoff Alexei <ar@vba.com.by>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: audacity: Can't open download page for free lame MP3 codec
Date: Tue, 19 Oct 2010 20:35:43 +0300
[Message part 1 (text/plain, inline)]
Package: audacity
Version: 1.3.5-2+lenny1
Severity: normal

*** Please type your report below this line ***

If I try to export some sound track to MP3
format(File->Export->Save->Ok) audacity
shows me user-friendly dialog, which helps to download some free lame
codec from the Internet. But if I click on "Download.." button nothing
happens.
To the stdout(or stderr?) audacity prints message:
"execvp(epiphany, http://audacity.sourceforge.net/lame) failed with
error 2!".

I think, in this situation audacity should run system browser.

-- System Information:
Debian Release: 5.0.4
  APT prefers stable
  APT policy: (500, 'stable')
Architecture: i386 (i686)

Kernel: Linux 2.6.35 (SMP w/4 CPU cores)
Locale: LANG=C, LC_CTYPE=ru_RU.utf8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/bash

Versions of packages audacity depends on:
ii  libasound2         1.0.16-2              ALSA library
ii  libc6              2.7-18lenny4          GNU C Library: Shared libraries
ii  libexpat1          2.0.1-4+lenny3        XML parsing C library -
runtime li
ii  libflac++6         1.2.1-1.2             Free Lossless Audio Codec -
C++ ru
ii  libflac8           1.2.1-1.2             Free Lossless Audio Codec -
runtim
ii  libgcc1            1:4.3.2-1.1           GCC support library
ii  libglib2.0-0       2.16.6-3              The GLib library of C routines
ii  libgtk2.0-0        2.12.12-1~lenny1      The GTK+ graphical user
interface
ii  libid3tag0         0.15.1b-10            ID3 tag reading library
from the M
ii  libjack0           0.109.2-5             JACK Audio Connection Kit
(librari
ii  libmad0            0.15.1b-4             MPEG audio decoder library
ii  libogg0            1.1.3-4               Ogg Bitstream Library
ii  libsndfile1        1.0.17-4+lenny2       Library for reading/writing
audio
ii  libsoundtouch1c2   1.3.1-2               sound stretching library
ii  libstdc++6         4.3.2-1.1             The GNU Standard C++ Library v3
ii  libvorbis0a        1.2.0.dfsg-3.1+lenny1 The Vorbis General Audio
Compressi
ii  libvorbisenc2      1.2.0.dfsg-3.1+lenny1 The Vorbis General Audio
Compressi
ii  libvorbisfile3     1.2.0.dfsg-3.1+lenny1 The Vorbis General Audio
Compressi
ii  libwxbase2.6-0     2.6.3.2.2-3+lenny1    wxBase library (runtime) -
non-GUI
ii  libwxgtk2.6-0      2.6.3.2.2-3+lenny1    wxWidgets Cross-platform
C++ GUI t

audacity recommends no packages.

Versions of packages audacity suggests:
pn  ladspa-plugin                 <none>     (no description available)

-- no debconf information


[ar.vcf (text/x-vcard, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>:
Bug#600747; Package audacity. (Wed, 20 Oct 2010 07:15:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Fabian Greffrath <fabian@greffrath.com>:
Extra info received and forwarded to list. Copy sent to Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>. (Wed, 20 Oct 2010 07:15:03 GMT) Full text and rfc822 format available.

Message #10 received at 600747@bugs.debian.org (full text, mbox):

From: Fabian Greffrath <fabian@greffrath.com>
To: Romanoff Alexei <ar@vba.com.by>, 600747@bugs.debian.org
Cc: control <control@bugs.debian.org>
Subject: Re: Bug#600747: audacity: Can't open download page for free lame MP3 codec
Date: Wed, 20 Oct 2010 09:14:39 +0200
severity 600747 wishlist
thanks

Am 19.10.2010 19:35, schrieb Romanoff Alexei:
> I think, in this situation audacity should run system browser.

To be honest, I do not think audacity should show this dialog at all. 
Lame is currently not in Debian (yet) and audacity should not 
encourage users to install some random piece of software from the net.

Just my 2c.

 - Fabian




Severity set to 'wishlist' from 'normal' Request was from Fabian Greffrath <fabian@greffrath.com> to control@bugs.debian.org. (Wed, 20 Oct 2010 07:15:07 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>:
Bug#600747; Package audacity. (Wed, 20 Oct 2010 08:06:08 GMT) Full text and rfc822 format available.

Acknowledgement sent to Fabian Greffrath <fabian@greffrath.com>:
Extra info received and forwarded to list. Copy sent to Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>. (Wed, 20 Oct 2010 08:06:08 GMT) Full text and rfc822 format available.

Message #17 received at 600747@bugs.debian.org (full text, mbox):

From: Fabian Greffrath <fabian@greffrath.com>
To: Romanoff Alexei <ar@vba.com.by>, 600747@bugs.debian.org
Subject: Re: Bug#600747: audacity: Can't open download page for free lame MP3 codec
Date: Wed, 20 Oct 2010 10:05:14 +0200
Am 20.10.2010 09:53, schrieb Romanoff Alexei:
> You are right, installation of some untested software from the
> Internet isn't good. But users sometimes want to convert it's work to
> MP3 format... Maybe a little better idea will be redirection of end
> user to http://debian-multimedia.org/ or some little wiki page
> http://wiki.debian.org/ with problem solution?

Yes, this sounds like a better idea. We should, however, be patient 
until the ftp-masters have decided about the inclusion of lame in to 
Debian. When this has happened (i.e. I expect a *positive* result 
*after* the Squeeze release), backports will soon be available for 
Squeeze. We should be patient and not point to locations outside 
Debian until then.

 - Fabian






Information forwarded to debian-bugs-dist@lists.debian.org, Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>:
Bug#600747; Package audacity. (Wed, 20 Oct 2010 20:33:08 GMT) Full text and rfc822 format available.

Acknowledgement sent to Benjamin Drung <bdrung@ubuntu.com>:
Extra info received and forwarded to list. Copy sent to Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>. (Wed, 20 Oct 2010 20:33:08 GMT) Full text and rfc822 format available.

Message #22 received at 600747@bugs.debian.org (full text, mbox):

From: Benjamin Drung <bdrung@ubuntu.com>
To: 600747@bugs.debian.org, pkg-multimedia-maintainers@lists.alioth.debian.org
Subject: Re: Bug#600747: audacity: Can't open download page for free lame MP3 codec
Date: Wed, 20 Oct 2010 22:28:34 +0200
[Message part 1 (text/plain, inline)]
forwarded 600747 http://bugzilla.audacityteam.org/show_bug.cgi?id=233
thanks

My wish is to go one step further. Instead of having a configuration
page (Edit -> Preferences -> Libraries) for mp3 and ffmpeg, audacity
should be compiled against the system libraries and the configuration
page should go away.

This would have multiple advantages:
* Library breakage would be detected earlier
* no configuration is required

-- 
Benjamin Drung
Ubuntu Developer (www.ubuntu.com) | Debian Maintainer (www.debian.org)
[signature.asc (application/pgp-signature, inline)]

Set Bug forwarded-to-address to 'http://bugzilla.audacityteam.org/show_bug.cgi?id=233'. Request was from Benjamin Drung <bdrung@ubuntu.com> to control@bugs.debian.org. (Wed, 20 Oct 2010 20:33:10 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>:
Bug#600747; Package audacity. (Thu, 21 Oct 2010 10:54:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Fabian Greffrath <fabian@greffrath.com>:
Extra info received and forwarded to list. Copy sent to Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>. (Thu, 21 Oct 2010 10:54:03 GMT) Full text and rfc822 format available.

Message #29 received at 600747@bugs.debian.org (full text, mbox):

From: Fabian Greffrath <fabian@greffrath.com>
To: Benjamin Drung <bdrung@ubuntu.com>, 600747@bugs.debian.org
Cc: pkg-multimedia-maintainers@lists.alioth.debian.org
Subject: Re: Bug#600747: audacity: Can't open download page for free lame MP3 codec
Date: Thu, 21 Oct 2010 12:52:28 +0200
Am 20.10.2010 22:28, schrieb Benjamin Drung:
> My wish is to go one step further. Instead of having a configuration
> page (Edit ->  Preferences ->  Libraries) for mp3 and ffmpeg, audacity
> should be compiled against the system libraries and the configuration
> page should go away.

Agreed, but it should still be posible to dlopen() libraries that were 
not present at compilation time (e.g. lame in Debian).

 - Fabian





Reply sent to Benjamin Drung <bdrung@debian.org>:
You have taken responsibility. (Sat, 30 Jul 2011 00:21:12 GMT) Full text and rfc822 format available.

Notification sent to Romanoff Alexei <ar@vba.com.by>:
Bug acknowledged by developer. (Sat, 30 Jul 2011 00:21:12 GMT) Full text and rfc822 format available.

Message #34 received at 600747-close@bugs.debian.org (full text, mbox):

From: Benjamin Drung <bdrung@debian.org>
To: 600747-close@bugs.debian.org
Subject: Bug#600747: fixed in audacity 1.3.13-5
Date: Sat, 30 Jul 2011 00:17:23 +0000
Source: audacity
Source-Version: 1.3.13-5

We believe that the bug you reported is fixed in the latest version of
audacity, which is due to be installed in the Debian FTP archive:

audacity-data_1.3.13-5_all.deb
  to main/a/audacity/audacity-data_1.3.13-5_all.deb
audacity-dbg_1.3.13-5_amd64.deb
  to main/a/audacity/audacity-dbg_1.3.13-5_amd64.deb
audacity_1.3.13-5.debian.tar.gz
  to main/a/audacity/audacity_1.3.13-5.debian.tar.gz
audacity_1.3.13-5.dsc
  to main/a/audacity/audacity_1.3.13-5.dsc
audacity_1.3.13-5_amd64.deb
  to main/a/audacity/audacity_1.3.13-5_amd64.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 600747@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Benjamin Drung <bdrung@debian.org> (supplier of updated audacity package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA512

Format: 1.8
Date: Fri, 29 Jul 2011 18:06:22 +0200
Source: audacity
Binary: audacity audacity-data audacity-dbg
Architecture: source amd64 all
Version: 1.3.13-5
Distribution: unstable
Urgency: low
Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
Changed-By: Benjamin Drung <bdrung@debian.org>
Description: 
 audacity   - fast, cross-platform audio editor
 audacity-data - fast, cross-platform audio editor (data)
 audacity-dbg - fast, cross-platform audio editor (debug)
Closes: 600747 634303
Changes: 
 audacity (1.3.13-5) unstable; urgency=low
 .
   * Use linux-any instead of hardcoded list of non-Linux architectures.
     (Closes: #634303)
   * Build against libmp3lame. (Closes: #600747)
Checksums-Sha1: 
 edd7b078f9adc97b3427fd9902be8ebcb0a5544c 2592 audacity_1.3.13-5.dsc
 27416fd2c4d1066d6ce31bb21f73216c1a91911c 24410 audacity_1.3.13-5.debian.tar.gz
 4215be054a754ceda6c5bf42d3285ce04b1e3354 2613796 audacity_1.3.13-5_amd64.deb
 db3d4a568142aa807704065f4d35dd0878762a0e 2530698 audacity-data_1.3.13-5_all.deb
 8db8315b8b2efc0d3889a80632e0c9fb507a1bc4 19878556 audacity-dbg_1.3.13-5_amd64.deb
Checksums-Sha256: 
 2f557ab55aa5268794a229f459e848895c1276907836c346fd8ac25091244f4d 2592 audacity_1.3.13-5.dsc
 b7655d721fe0fd0698d83ff3deeff1c048326cd27b0f7874b0764d50014a8085 24410 audacity_1.3.13-5.debian.tar.gz
 278b5ece34056d9d35e1c493f6a3456b374a193fd97e59b876c243961806ad85 2613796 audacity_1.3.13-5_amd64.deb
 2a16a44b4f56f0eb061df4713f5aa07771cef08a216ffd25f230232e55bff32e 2530698 audacity-data_1.3.13-5_all.deb
 3a7223bd18eb9a7f408eda249401afe34c161ceeb6fe3a7c8642201da31b1ee7 19878556 audacity-dbg_1.3.13-5_amd64.deb
Files: 
 4e44095798ca9ba97e7d2bb237115163 2592 sound optional audacity_1.3.13-5.dsc
 9b7d7e25f636a96a4bc0401fde09c24f 24410 sound optional audacity_1.3.13-5.debian.tar.gz
 e8cd8e8d7066625b2e5dc849aca85f56 2613796 sound optional audacity_1.3.13-5_amd64.deb
 2f0b650e0484ac069825eeef5bff0434 2530698 sound optional audacity-data_1.3.13-5_all.deb
 6fa7a3933361d7b9401023ebdd00d4b5 19878556 debug extra audacity-dbg_1.3.13-5_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.11 (GNU/Linux)

iQIcBAEBCgAGBQJOM0snAAoJEBWetcTvyHdMpZcQAJm4rsRxFuN/8A49skS0qDNg
FWhMws9BHsa8XYPn9TB3JonJVyYPHlqg+9QArlHQUZZFn7pZE99TwGHQDAlQA9vo
WwS921N3pO/z3NhKhwMzbpZX0BSBAKBJUM8FsF0XM1xpAhGHjD+3pKYmTe9JZ5z6
Oo0RIdC/1iBCP9RSTj2KPYU5FcZiliRGtWmxYcT3gD9XCC0w9E4f/Epkb5ra1Nx9
vVn1Hhdc2BZSwObC0ZbuVlsBRGZMGsYtb4vtiNvsLpByLFvro8P6Fhenwx/T9+js
E1Po13HrwoCUXo89qKP5VPAQ+3C3F8Hcy3qP+dBHcN/apmFplmQwrrNJfUK0ihNK
Bxbm8lIZnojmZCC+I3jqFdTIBh+4vVPZCwEyb3iHHUXKH+Ibp9KqvaB522qS9kJl
YH11IaZE7myMU2ASgP/Kh7InUI2o1PLS5qSzKCrx58f4VMS79NptPk5myP3JHfBx
1asvzL3KDtuxp+tknhYsr7cq6zA/VsJe3zYeciXbGCWh5OGpKlyxEGzDms6EQNmV
fWIbPGJPs6/+RTmE3D8fBY9T0VQHhYSgFo47PhDXStMMFMu7Q4dRmjNINVc3k87d
rZpJ3A/2FjVICXR2mKxDaZfzRGW4KKHMQGMR3bgDbsIrM0NFjjL6CQeapSIWdtYt
6lh23bbFzpCIa/aQ3zvh
=eFXm
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sat, 27 Aug 2011 07:36:39 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sun Apr 20 03:55:21 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.